Add table line

Add a new line to a table in an inspection. Returns a server-generated line_id for the newly created line. Each cell is identified by a field_id corresponding to a table column; use GetTemplateDefinition to obtain column field_ids. Cells not listed are left empty. Returns FAILED_PRECONDITION if the table has reached its maximum line limit.

Path Params
string
required

inspection_id is the unique identifier of the inspection containing the table.

string
required

item_id is the item ID of the table within the inspection.

Body Params
metadata
object

metadata identifies the inspection and the table to add the line to.

cells
array of objects

Cell values for the new line. Fields not listed are left empty. If a field is listed multiple times, the last value is used. At most 20 cells may be specified; omit or leave empty to create an empty line.

cells
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json